summary refs log tree commit diff
path: root/debian/dash.config
diff options
context:
space:
mode:
authorHerbert Xu <herbert@gondor.apana.org.au>2005-09-26 18:32:28 +1000
committerHerbert Xu <herbert@gondor.apana.org.au>2005-09-26 18:32:28 +1000
commit05c1076ba2d1a68fe7f3a5ae618f786b8898d327 (patch)
tree8e3b5ecace201bfd29027ccb59110cc1d600ad37 /debian/dash.config
downloaddash-05c1076ba2d1a68fe7f3a5ae618f786b8898d327.tar.gz
dash-05c1076ba2d1a68fe7f3a5ae618f786b8898d327.zip
Initial import.
Diffstat (limited to 'debian/dash.config')
-rw-r--r--debian/dash.config39
1 files changed, 39 insertions, 0 deletions
diff --git a/debian/dash.config b/debian/dash.config
new file mode 100644
index 0000000..e2ec96f
--- /dev/null
+++ b/debian/dash.config
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# debconf script for the Debian GNU/Linux ash package
+#
+# $Id$
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+db_version 2.0
+
+if [ "$1" = configure ] && [ -z "$2" ]; then
+	set +e
+	db_fget ash/sh seen
+	err=$?
+	set -e
+
+	case $err in
+	0)
+		if [ "$RET" = true ]; then
+			db_fset dash/sh seen true
+			db_get ash/sh
+			db_set dash/sh "$RET"
+			exit
+		fi
+		;;
+	10)
+		# ash/sh does not exist
+		;;
+	*)
+		echo "db_fget exited with $err" >&2
+		exit $err
+		;;
+	esac
+fi
+
+db_input low dash/sh || true
+db_go